Simple waveform synthesizer thing that plays notes. Oscillator works in either analog synthisizer or sampler mode.

### Hierarchy

- SuiOscillator
  - SuiWavetable
  - SuiSampler

## Index

### Constructors

- constructor

### Methods

- createAudioGraph

## Constructors

### constructor

- new SuiOscillator(parameters: SuiOscillatorParams): SuiOscillator

- - Defined in src/render/audio/oscillator.ts:284

  #### Parameters

  - ##### parameters: SuiOscillatorParams

  #### Returns SuiOscillator

## Methods

### createAudioGraph

- createAudioGraph(): Promise<any>

- - Defined in src/render/audio/oscillator.ts:328

  Connect the audio sound source to the output, combining other nodes in the mix such as convolver (reverb), delay, and gain. Also set up the envelope

  #### Returns Promise<any>

  - a promise that tis resolved when `duration` time has expired

Generated using TypeDoc